Problem z aktualizacją.

Pomoc przy instalacji oraz użytkowaniu phpBB 3.0.x. Forum nie służy do zgłaszania znalezionych błędów, innowacji lub problemów związanych ze stylami i modyfikacjami.
Freeman
Posty: 7
Rejestracja: 17 kwietnia 2015, 11:34

Problem z aktualizacją.

Post autor: Freeman » 17 kwietnia 2015, 11:48

Witam. Aktualizowałem forum z wersji 3.0.12 do najnowszej 3.1.3 zgodnie z tą instrukcją https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

Jednak po wpisaniu adresu forum i install/database_update.php pojawia mi się taki błąd:
Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /home/stacyjni/public_html/stacyjni.pl/install/database_update.php on line 57

Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /home/stacyjni/public_html/stacyjni.pl/install/database_update.php on line 57

Parse error: syntax error, unexpected T_STRING in /home/stacyjni/public_html/stacyjni.pl/install/database_update.php on line 57

Co z tym zrobić?

travel
Posty: 276
Rejestracja: 21 stycznia 2012, 12:38
Lokalizacja: phpBB 3.2

Re: Problem z aktualizacją.

Post autor: travel » 17 kwietnia 2015, 13:49

Twoja wersja serwera jest zbyt słaba, aby pociągnęła phpBB 3.1.x
Musisz mieć przynajmniej wersję 5.3.3. Napisz do hostingu/dostawcy serwera.

Freeman
Posty: 7
Rejestracja: 17 kwietnia 2015, 11:34

Re: Problem z aktualizacją.

Post autor: Freeman » 17 kwietnia 2015, 14:06

Poniżej wklejam dane z cPanelu. Który konkretnie parametr mam za słaby?
Obrazek

travel
Posty: 276
Rejestracja: 21 stycznia 2012, 12:38
Lokalizacja: phpBB 3.2

Re: Problem z aktualizacją.

Post autor: travel » 17 kwietnia 2015, 15:01

Wersja php 5.4.21 wydaje się być w porządku.
Sprawdź, czy czasem jakiś plik nie odwołuje się do starszej wersji php (trzeba go też zaktualizować).
Przykład podobnego problemu:
https://www.phpbb.com/community/viewtop ... &t=2296591

Freeman
Posty: 7
Rejestracja: 17 kwietnia 2015, 11:34

Re: Problem z aktualizacją.

Post autor: Freeman » 17 kwietnia 2015, 19:43

Dzięki za odpowiedzi. Został mi automod i stary styl oraz Tapatalk. Pousuwałem to, ale nadal bez dopisku w HTACCES forum nie działa. Do php.ini nie mam dostępu.

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: Problem z aktualizacją.

Post autor: Aviator » 17 kwietnia 2015, 23:46

A co się pokazuje jak klikniesz na ten odnośnik przy "informacja o PHP"?
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Freeman
Posty: 7
Rejestracja: 17 kwietnia 2015, 11:34

Re: Problem z aktualizacją.

Post autor: Freeman » 18 kwietnia 2015, 10:19

Takie coś:
Obrazek

travel
Posty: 276
Rejestracja: 21 stycznia 2012, 12:38
Lokalizacja: phpBB 3.2

Re: Problem z aktualizacją.

Post autor: travel » 18 kwietnia 2015, 10:26

Czyli tak jak sugerowałem wyżej.
Odwołanie do niewystarczającego już php 5.3.28
Trzeba to zaktualizować.
Zwróć się do hostingu z prośbą.

Freeman
Posty: 7
Rejestracja: 17 kwietnia 2015, 11:34

Re: Problem z aktualizacją.

Post autor: Freeman » 18 kwietnia 2015, 12:02

Ok. Udało mi się zaktualizować wpisem w HTACCES nie zauważyłem, że wpisane było 5.3 zamiast 5.5. Poprawiłem i teraz wszystko działa. Również Tapatalk.

Także można zamknąć.

Zablokowany